<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::auto_mutex_readonly Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1auto__mutex__readonly.html">auto_mutex_readonly</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1auto__mutex__readonly-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::auto_mutex_readonly Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8664d2c6e7b2b2ab453e1ef1c3f7e3eb"><td class="memItemLeft" align="right" valign="top"><a id="a8664d2c6e7b2b2ab453e1ef1c3f7e3eb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>auto_mutex_readonly</b> (const <a class="el" href="classdlib_1_1read__write__mutex.html">read_write_mutex</a> &amp;rw_)</td></tr>
<tr class="separator:a8664d2c6e7b2b2ab453e1ef1c3f7e3eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3893a8fb43c2a0ec51c195fe7f6f79e2"><td class="memItemLeft" align="right" valign="top"><a id="a3893a8fb43c2a0ec51c195fe7f6f79e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>lock_readonly</b> ()</td></tr>
<tr class="separator:a3893a8fb43c2a0ec51c195fe7f6f79e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a758ffb69b8a72e10fc5af641fed21990"><td class="memItemLeft" align="right" valign="top"><a id="a758ffb69b8a72e10fc5af641fed21990"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>lock_write</b> ()</td></tr>
<tr class="separator:a758ffb69b8a72e10fc5af641fed21990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe7b60be72dc462d6643382a134b9648"><td class="memItemLeft" align="right" valign="top"><a id="afe7b60be72dc462d6643382a134b9648"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>unlock</b> ()</td></tr>
<tr class="separator:afe7b60be72dc462d6643382a134b9648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a438d04ea938bfa35f173dc132da00d21"><td class="memItemLeft" align="right" valign="top"><a id="a438d04ea938bfa35f173dc132da00d21"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_read_lock</b> ()</td></tr>
<tr class="separator:a438d04ea938bfa35f173dc132da00d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a151c4470428c330e6bf9fb499523ae77"><td class="memItemLeft" align="right" valign="top"><a id="a151c4470428c330e6bf9fb499523ae77"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_write_lock</b> ()</td></tr>
<tr class="separator:a151c4470428c330e6bf9fb499523ae77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a21c48c7ea6d69883d4737f1e9e3b0eb4"><td class="memItemLeft" align="right" valign="top"><a id="a21c48c7ea6d69883d4737f1e9e3b0eb4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>auto_mutex_readonly</b> (<a class="el" href="classdlib_1_1auto__mutex__readonly.html">auto_mutex_readonly</a> &amp;)</td></tr>
<tr class="separator:a21c48c7ea6d69883d4737f1e9e3b0eb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17d7a2c696cb2064503f1dfba0642dd8"><td class="memItemLeft" align="right" valign="top"><a id="a17d7a2c696cb2064503f1dfba0642dd8"></a>
<a class="el" href="classdlib_1_1auto__mutex__readonly.html">auto_mutex_readonly</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1auto__mutex__readonly.html">auto_mutex_readonly</a> &amp;)</td></tr>
<tr class="separator:a17d7a2c696cb2064503f1dfba0642dd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7a31d2eb0b5515867a92baa21958cc99"><td class="memItemLeft" align="right" valign="top"><a id="a7a31d2eb0b5515867a92baa21958cc99"></a>
const <a class="el" href="classdlib_1_1read__write__mutex.html">read_write_mutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>rw</b></td></tr>
<tr class="separator:a7a31d2eb0b5515867a92baa21958cc99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c56abfad294bf10509d079677fd2be"><td class="memItemLeft" align="right" valign="top"><a id="aa6c56abfad294bf10509d079677fd2be"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>_has_write_lock</b></td></tr>
<tr class="separator:aa6c56abfad294bf10509d079677fd2be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25417543a56d5b27c994deb2159a94c"><td class="memItemLeft" align="right" valign="top"><a id="ae25417543a56d5b27c994deb2159a94c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>_has_read_lock</b></td></tr>
<tr class="separator:ae25417543a56d5b27c994deb2159a94c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="auto__mutex__extension_8h_source.html">auto_mutex_extension.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
